describe("TK-Komponenten", () => {
  before(() => {
    // Lade die Seite nur einmal vor allen Tests
    cy.visit("http://10.10.0.13:3000/?m=12&u=484");
    //cy.wait(5000); // Wartezeit, bis die Seite vollständig geladen ist, cypress macht automatisch , alsobrauchen wir im moment kein wait() wenn cy. schafft
  });

  it("soll alle Tests in Reihenfolge ausführen", () => {
    // Test 1: Sicherstellen, dass die Checkbox vorhanden und sichtbar ist
    cy.get("input[type='checkbox'][id='system-10']")
      .should("exist")
      .and("be.visible")
      .then(() => {
        cy.log("Die Checkbox mit ID 'system-10' ist vorhanden und sichtbar.");
      });

    // Test 2: Sicherstellen, dass die Checkbox aktiviert ist
    cy.get("input[type='checkbox'][id='system-10']").then(($checkbox) => {
      if (!$checkbox.prop("checked")) {
        // Falls die Checkbox nicht aktiviert ist, aktiviere sie
        cy.wrap($checkbox).check({ force: true });
        cy.log("Die Checkbox war deaktiviert und wurde jetzt aktiviert.");
      } else {
        cy.log("Die Checkbox ist bereits aktiviert.");
      }
    });

    // Test 3: Checkbox deaktivieren und Marker verschwinden lassen
    cy.get("input[type='checkbox'][id='system-10']")
      .uncheck({ force: true })
      .then(() => {
        cy.log("Die Checkbox wurde deaktiviert.");
      });
  });
});
